Web lists-archives.com

Re: More info - was [Re: Synaptic fails to fix broken packages]




On 2018-10-05, Brian <ad44@xxxxxxxxxxxxxxx> wrote:

>> I'm not the OP, but the place where I plan to use (apt-get) upgrade and not 
>> dist-upgrade is Jessie (Debian 8).
>
> Debian 8 is obsolete; it doesn't even receive security updates.
> dist-upgrade is most unlikely to bring it to its knees.
>

I've never used dist-upgrade on stable (except to make the ascension from
one release to the next).

In the uncommon (in my humble experience with the stable distribution)
event a package is held back, I apt-get upgrade that foo-lish package
(at which point apt informs me what it plans to do, and asks for my
explicit approval). Usually it wants to install some additional
package; rarely it desires the removal of something (a something that no
longer depends on anything).

There's never a slew of these held-backs at any given time (I upgrade
daily), so this isn't a painstaking or time-consuming procedure.

The tempest here for me is kind of confined to a teapot.

-- 
"Now she understood that Anna could not have been in lilac, and that her charm
was just that she always stood out against her attire, that her dress could
never be noticeable on her." Leo Tolstoy, Anna Karenina